Halts the compiler execution

- « get_browser

- highlight_file »

- PHP Manual
- Misc. Functions
- Halts the compiler execution

# __halt_compiler

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

__halt_compiler — Halts the compiler execution

### Description

__halt_compiler(): void

Halts the execution of the compiler. This can be useful to embed data in PHP scripts, like the installation files.

Byte position of the data start can be determined by the `__COMPILER_HALT_OFFSET__` constant which is defined only if there is a __halt_compiler() presented in the file.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 A __halt_compiler() example

    <?php

    // open this file
    $fp = fopen(__FILE__, 'r');

    // seek file pointer to data
    fseek($fp, __COMPILER_HALT_OFFSET__);

    // and output it
    var_dump(stream_get_contents($fp));

    // the end of the script execution
    __halt_compiler(); the installation data (eg. tar, gz, PHP, etc.)

### Notes

> Note:

> __halt_compiler() can only be used from the outermost scope.